<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" th:href="@{/css/bootstrap.css}" />
    <link rel="stylesheet" th:href="@{/css/style.css}" />
    <script th:src="@{/js/fontawesome.js}"></script>
</head>

<body class="body-login">
<nav class="navbar navbar-light bg-light">

    <span class="navbar-brand mb-0 h1">
        <img th:src="@{/img/favicon.png}" th:text="#{brand.wings.payment}">
        Wings Mobile - Pagos</span>
    <ul class="nav-item dropdown show mx-2">
        <a class="btn btn-outline-primary" id="dropdownLang" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <span th:text="#{locale.language}"></span></a>
        <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
            <a class="dropdown-item" th:href="@{/locale(lang=es_ES)}" th:text="#{locale.language.es}">ES</a>
            <a class="dropdown-item" th:href="@{/locale(lang=en_US)}" th:text="#{locale.language.en}">US</a>
            <a class="dropdown-item" th:href="@{/locale(lang=it_IT)}" th:text="#{locale.language.it}">IT</a>
        </div>
    </ul>
</nav>

<img class="rounded mx-auto d-block" th:src="@{/img/wings_logo.png}" id="login-wings-logo">
<div class="container">
    <div class="row justify-content-center">
        <div class="col-xl-7 col-lg-9 col-md-9">
            <div class="card border-0 shadow-lg my-5">
               <div class="col-lg-6 offset-3">
                        <div class="text-center">
                            <h4 class="text-gray-900 mb-4 mt-3" th:text="#{regenerate.password}"></h4>
                        </div>
                   <div th:if="${success != null}">
                       <div class="row d-flex justify-content-center">
                            <i class="fas fa-check-circle mr-1" style="color: green; font-size:25px;"></i>
                            <h5 th:text="${success}"></h5>
                       </div>
                       <div class="row d-flex justify-content-center">
                           <p th:text="${successMessage}"></p>
                       </div>
                       <a class="btn btn-primary active float-right mb-3" th:href="@{/admin}" th:text="#{login}"></a>
                   </div>
                   <div th:if="${error != null}">
                       <div class="row d-flex justify-content-center">
                           <i class="fas fa-times mr-1" style="color: Tomato; font-size:25px;"></i>
                           <h5 th:text="${error}"></h5>
                       </div>
                       <div class="row d-flex justify-content-center">
                           <p th:text="${errorMessage}"></p>
                       </div>
                       <button class="btn btn-primary active float-right mb-3" onclick="window.history.back()" th:text="#{password.back}"></button>
                   </div>
                   <div th:if="${success == null && error == null}">
                       <form th:action="@{/user/savePassword}" method="post">
                           <div class="form-group">
                               <label th:text="#{password.reset.new.psw}"></label>
                               <input id="password" class="form-control" name="newPassword" type="password" value="" autofocus required/>
                           </div>

                           <div class="form-group">
                               <label th:text="#{password.reset.confirm.new.psw}"></label>
                               <input id="confirmPassword" class="form-control" name="confirmPassword" type="password" value="" required/>
                           </div>
                           <div class="form-group">
                               <label th:text="#{password.reset.token}"></label>
                               <input id="token" name="token" class="form-control" type="text" value="" required autocomplete="off"/>
                           </div>
                           <div class="col">
                               <button id="updatePswBtn" class="btn btn-primary float-right mb-3" th:text="#{login.payment.restore.password}" type="submit"></button>
                           </div>
                       </form>
                    </div>
               </div>
            </div>
        </div>
    </div>
</div>
</div>
</div>
<footer class="sticky-footer bg-white " id="footer-login">
    <div class="container my-auto">
        <div class="copyright text-center my-auto">
            <span>Copyright &copy; Wings Mobile 2020</span>
        </div>
    </div>
</footer>
<script th:src="@{/js/jquery-2.0.0.min.js}"></script>
<script th:src="@{/js/popper.min.js}"></script>
<script th:src="@{/js/bootstrap.min.js}"></script>
</body>
</html>